Namespace
library
Image / Tag
swift:5.10.0-jammy
Content Digest
sha256:914bb159b61dead0887a5dd19fad9c84e140b01d550b8165083480554879070a
Details
Created

2024-06-05 01:13:39 UTC

Size

791 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    22.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.10-release

SWIFT_PLATFORM

ubuntu22.04

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.10-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:2ec76a50fe7c8d5db9ec25590b9217e14e3920513c6e7b5be55db72a16b55f7c - 3.67% (29 MB)

[#001] sha256:031194576cad99cb2a977a0c059176ad722aee4dee6dc49831e0a0280f6b2f63 - 21.16% (167 MB)

[#002] sha256:f49f3db6a79467bd1da0599aead8274ea16c7f9f8e538fb2a7215e15cf73b6f6 - 75.16% (594 MB)

[#003] sha256:0990740090418a62f8be5604bf483b061535c9d58a747112a1fc3244cd49f363 - 0.0% (175 Bytes)


History
2024-06-03 10:32:23 UTC

/bin/sh -c #(nop) ARG RELEASE

2024-06-03 10:32:23 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2024-06-03 10:32:23 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2024-06-03 10:32:23 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=22.04

2024-06-03 10:32:25 UTC

/bin/sh -c #(nop) ADD file:89847d76d242dea90ede05e9e1e13a1ff4400a65eafbe2d6e31e086c93893580 in /

2024-06-03 10:32:26 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2024-06-05 01:11:23 UTC

/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2024-06-05 01:11:23 UTC

/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language

2024-06-05 01:12:45 UTC

/bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y binutils git unzip gnupg2 libc6-dev libcurl4-openssl-dev libedit2 libgcc-11-dev libpython3-dev libsqlite3-0 libstdc++-11-dev libxml2-dev libz3-dev pkg-config python3-lldb-13 tzdata zlib1g-dev && rm -r /var/lib/apt/lists/*

2024-06-05 01:12:47 UTC

/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2024-06-05 01:12:47 UTC

/bin/sh -c #(nop) ARG SWIFT_PLATFORM=ubuntu22.04

2024-06-05 01:12:47 UTC

/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.10-release

2024-06-05 01:12:47 UTC

/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.10-RELEASE

2024-06-05 01:12:47 UTC

/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org

2024-06-05 01:12:47 UTC

/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-5.10-release SWIFT_VERSION=swift-5.10-RELEASE SWIFT_WEBROOT=https://download.swift.org

2024-06-05 01:13:32 UTC

/bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl

2024-06-05 01:13:39 UTC

/bin/sh -c swift --version

Details
Created

2024-06-05 01:41:39 UTC

Size

779 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    22.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.10-release

SWIFT_PLATFORM

ubuntu22.04

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.10-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:2741160b46783cff15aad1d825ac5be29d819aaa773f4270d133fb57683fbbd0 - 3.48% (27.1 MB)

[#001] sha256:8c249bf374d45d8835c95aad386392dc6323d3efd8f56c451968eae833336eb7 - 21.01% (164 MB)

[#002] sha256:90251d95c826aa7edecea0be6d3ea27d51ac058d7b13ed5a0e10110e8d5f1f2d - 75.52% (589 MB)

[#003] sha256:4144d3a9d8530c3e059b9930a06d209ec7c15c7f401b72b5d2301fddcbf5cc2c - 0.0% (174 Bytes)


History
2024-06-03 10:30:07 UTC

/bin/sh -c #(nop) ARG RELEASE

2024-06-03 10:30:07 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2024-06-03 10:30:07 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2024-06-03 10:30:07 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=22.04

2024-06-03 10:30:11 UTC

/bin/sh -c #(nop) ADD file:5f73ea0f53302f1771b6d2cb5650f715247ad02d80e986d67b2d55c22712f1ca in /

2024-06-03 10:30:12 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2024-06-05 01:38:35 UTC

/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2024-06-05 01:38:35 UTC

/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language

2024-06-05 01:40:31 UTC

/bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y binutils git unzip gnupg2 libc6-dev libcurl4-openssl-dev libedit2 libgcc-11-dev libpython3-dev libsqlite3-0 libstdc++-11-dev libxml2-dev libz3-dev pkg-config python3-lldb-13 tzdata zlib1g-dev && rm -r /var/lib/apt/lists/*

2024-06-05 01:40:35 UTC

/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2024-06-05 01:40:35 UTC

/bin/sh -c #(nop) ARG SWIFT_PLATFORM=ubuntu22.04

2024-06-05 01:40:35 UTC

/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.10-release

2024-06-05 01:40:35 UTC

/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.10-RELEASE

2024-06-05 01:40:35 UTC

/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org

2024-06-05 01:40:35 UTC

/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-5.10-release SWIFT_VERSION=swift-5.10-RELEASE SWIFT_WEBROOT=https://download.swift.org

2024-06-05 01:41:26 UTC

/bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl

2024-06-05 01:41:39 UTC

/bin/sh -c swift --version

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete